grml-hwinfo (0.16.0) unstable; urgency=medium

  * [3d53667] sysdump: rework ignore list code and ignore further files.
    Thanks to Darshaka Patirana for tracking down the
    /sys/kernel/tracing/* issue
  * [9193fd5] Provide information to user if sysdump might be hanging
  * [42ab70c] Log 'ip route show table' errors to corresponding error file
  * [1807566] Log efibootmgr errors to efibootmgr.error

 -- Michael Prokop <mika@grml.org>  Fri, 05 Mar 2021 17:40:46 +0100

grml-hwinfo (0.15.4) unstable; urgency=medium

  * [8a97e68] Store `ip netconf` output in file `ip_netconf` Thanks to
    Christian Hofstaedtler

 -- Michael Prokop <mika@grml.org>  Fri, 22 Jan 2021 12:11:50 +0100

grml-hwinfo (0.15.3) unstable; urgency=medium

  * [f17f4a0] Store output of `lscpu -e` in file `lscpu_extended`
  * [a160437] Bump Standards-Version to 4.4.1
  * [ad6d7c7] Bump Standards-Version to 4.5.0
  * [27ef3ad] Bump Debian compat version to 12, using debhelper-compat
    approach
  * [1987fec] Execute 'wrap-and-sort -a -t -s' on debian/

 -- Michael Prokop <mika@grml.org>  Tue, 12 May 2020 16:25:47 +0200

grml-hwinfo (0.15.2) unstable; urgency=medium

  * [c8495ee] Store cpuid output in file `cpuid`, add cpuid to Recommends

 -- Michael Prokop <mika@grml.org>  Thu, 11 Jul 2019 17:25:05 +0200

grml-hwinfo (0.15.1) unstable; urgency=medium

  * [d77edf4] Record uptime (/proc/uptime in `proc_uptime` and uptime(1)
    in file `uptime`) Thanks to Ralf Moll for the suggestion
  * [8e5cda9] Bump Standards-Version to 4.3.0

 -- Michael Prokop <mika@grml.org>  Thu, 31 Jan 2019 13:41:45 +0100

grml-hwinfo (0.15.0) unstable; urgency=medium

  * [2c2398a] Recommend acpica-tools package and provide acpidump output
    (as root)
  * [90c0786] Provide output of verbose lspci run in file lspci_verbose
  * [3bece22] Log output of verbose lsusb run in file lsusb_verbose
  * [4900106] Store "$HOME"/.local/share/xorg/Xorg.0.log (if available) as
    user_Xorg.0.log
  * [ae9ba96] Report SecureBoot state via mokutil

 -- Michael Prokop <mika@grml.org>  Tue, 15 Jan 2019 10:40:23 +0100

grml-hwinfo (0.14.1) unstable; urgency=medium

  [ Darshaka Pathirana ]
  * [2a46773] sysdump: ignore /sys/kernel/security/apparmor/revision to
    avoid hanging

  [ Michael Prokop ]
  * [325d29e] Bump Standards-Version to 4.2.1
  * [703ca14] debian/rules: use /usr/share/dpkg/pkg-info.mk for
    identifying version number

 -- Michael Prokop <mika@grml.org>  Wed, 14 Nov 2018 21:15:49 +0100

grml-hwinfo (0.14.0) unstable; urgency=medium

  * [b0e90e6] Provide output of `efibootmgr -v` in file efibootmgr. Thanks
    to Ralf Moll for the suggestion

 -- Michael Prokop <mika@grml.org>  Wed, 31 Oct 2018 10:18:30 +0100

grml-hwinfo (0.13.3) unstable; urgency=medium

  * [e8bebe3] Redirect `ip mrule show` errors to ip_mrule.error
  * [77076a3] Bump Standards-Version to 4.1.4

 -- Michael Prokop <mika@grml.org>  Fri, 25 May 2018 13:53:54 +0200

grml-hwinfo (0.13.2) unstable; urgency=medium

  * [d116a7a] sysdump: ignore files inside /sys/kernel/debug to avoid
    hanging

 -- Michael Prokop <mika@grml.org>  Fri, 09 Jun 2017 22:26:25 +0200

grml-hwinfo (0.13.1) unstable; urgency=medium

  * [3f7e605] Provide `acpi --everything` output in file `acpi.everything`

 -- Michael Prokop <mika@grml.org>  Fri, 07 Apr 2017 11:52:36 +0200

grml-hwinfo (0.13.0) unstable; urgency=medium

  * [588c3c8] Redirect hdparm + sg_inq errors to according .error files
  * [49cba96] Bump Standards-Version to 3.9.8
  * [8c8df09] Use SSL for Homepage + Vcs-Browser URLs
  * [8618504] Bump debian/compat to 9
  * [3d85ad8] Add debian/source/format with 3.0 (native)
  * [9e75ff8] debian/rules: replace deprecated dh_clean -k with dh_prep

 -- Michael Prokop <mika@grml.org>  Fri, 27 Jan 2017 16:14:55 +0100

grml-hwinfo (0.12.0) unstable; urgency=medium

  * [fb0e356] Support options --force + --quiet for usage with cron
  * [fc34c5d] Improve local disk detection for recent kernel changes
  * [c5989b9] Fix shellcheck issue with quoting
  * [5afa0d8] Don't use working directory when --output-directory option
    is used

 -- Michael Prokop <mika@grml.org>  Thu, 19 Nov 2015 15:48:55 +0100

grml-hwinfo (0.11.0) unstable; urgency=medium

  * [8eca38c] ip: also store table specific route information
  * [55629e0] Improve shell quoting (thanks to shellcheck)
  * [87551b7] Fix shell scripting issues discovered by shellcheck
  * [1b107c8] Save stderr of x86info and discover in *.error instead of *.2
  * [9010e65] Bump Standards-Version to 3.9.6

 -- Michael Prokop <mika@grml.org>  Wed, 21 Oct 2015 23:19:35 +0200

grml-hwinfo (0.10.0) unstable; urgency=medium

  * [43246c9] Support mcelog
  * [9b0e96b] Support edac-utils
  * [8216405] Support i2c-tools's decode-dimms
  * [20db99b] Bump Standards-Version to 3.9.5

 -- Michael Prokop <mika@grml.org>  Mon, 01 Sep 2014 21:04:58 -0700

grml-hwinfo (0.9.2) unstable; urgency=medium

  * [048f6e4] Support iproute2 as alternative to iproute in Recommends

 -- Michael Prokop <mika@grml.org>  Mon, 03 Feb 2014 16:20:37 +0100

grml-hwinfo (0.9.1) unstable; urgency=low

  * [69521ba] Use iproute's ip tool to retrieve all its output

 -- Michael Prokop <mika@grml.org>  Wed, 14 Aug 2013 13:02:27 +0200

grml-hwinfo (0.9.0) unstable; urgency=low

  * [11eeed7] Support lscpu, lsblk and dmsetup ls --tree
  * [63be8b7] Add support for sg_inq from sg3-utils
  * [3644e97] Read /proc/acpi/info only if the file exists, drop calls to
    acpi_available

 -- Michael Prokop <mika@grml.org>  Tue, 18 Jun 2013 17:21:19 +0200

grml-hwinfo (0.8.0) unstable; urgency=low

  * [058f4d8] Add support retrieving iSCSI information using iscsiadm from
    open-iscsi
  * [211ace9] Retrieve information about SCSI devices using lsscsi. Thanks
    to Christian Hofstaedtler for the hint
  * [ab9a47b] lsscsi: collect transport information in lsscsi_transport
  * [6fa93ae] Bump Standards-Version to 3.9.4

 -- Michael Prokop <mika@grml.org>  Tue, 02 Oct 2012 09:57:53 +0200

grml-hwinfo (0.7.0) unstable; urgency=low

  * [508ee7c] Redirect dpkg error message for running_kernel
  * [47ade83] Rework cmdline option handling, replacing "-df" with "-b"
    and adding new options
  * [8c62e67] Support proxmox/libvirt/openvz/vserver information retrieval
  * [91379ed] Fix formating of disk tools output
  * [a04bc22] Unify indention
  * [7e0b636] Run lspci -nn for lspci output, do not check for /proc/bus/*
    for lspnp && lsusb commands but instead just run exectest
  * [772dcc6] Remove only empty *.error files to see which commands have
    been executed
  * [0cb80d4] Improve usage text
  * [226e977] Run tar with --auto-compress for better --output-file
    support

 -- Michael Prokop <mika@grml.org>  Thu, 16 Aug 2012 10:40:50 +0200

grml-hwinfo (0.6.0) unstable; urgency=low

  * [f5c36fb] Add support for swapon, mdadm, LVM + dmsetup
  * [f66e7d5] Bump Standards-Version to 3.9.3
  * [8fa5a70] Apply wrap-and-sort on Debian package
  * [4a8b026] Drop deprecated pcmcia-utils from Suggests
  * [a5a8a78] Use Recommends for all packages instead of Suggests
  * [f5170f3] Drop ${shlibs:Depends} from Depends
  * [04fe9e7] List missing tools in file missing_tools
  * [66a9dfd] Drop support for ddcprobe which is deprecated since ages
  * [1361f33] Update Recommends and package description to reflect current
    state of script
  * [d61f73b] Improve check for running_kernel
  * [3408832] Get rid of generated files which are empty

 -- Michael Prokop <mika@grml.org>  Thu, 16 Aug 2012 01:32:38 +0200

grml-hwinfo (0.5.0) unstable; urgency=low

  * [24ef6ad] Support numactl to retrieve NUMA information
  * [7be0c4c] Adjust version string of script during package build-time
  * [cdce5f7] debian/rules: provide build-arch+ build-indep
  * [ad8c9ef] Drop deprecated Conflicts with grml-scripts <= 0.4-15

 -- Michael Prokop <mika@grml.org>  Sat, 28 Jan 2012 00:04:04 +0100

grml-hwinfo (0.4.3) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [ddeae74] Add debian/control headers Origin, Bugs

  [ Michael Prokop ]
  * [e4d559c] drop .hgtags file

 -- Michael Prokop <mika@grml.org>  Sat, 26 Nov 2011 19:50:07 +0100

grml-hwinfo (0.4.2) unstable; urgency=low

  [ Richard Hartmann ]
  * [d833ec9] A multitude of changes

  [ Christian Hofstaedtler ]
  * [3ad1215] use empty/nonempty for flag variables
  * [ca2c74f] correct help text for the 'both' option
  * [ce4fb74] simplify output file/directory logic
  * [442c6fb] cleanup output and help text
  * [2d4ac0a] update man page with new options
  * [9cc721d] run all commands with C locale
  * [fb84f24] Update Standards-Version to 3.9.2 (no changes)
  * [189d597] Update Suggests: list

 -- Christian Hofstaedtler <ch@grml.org>  Mon, 09 May 2011 23:51:37 +0200

grml-hwinfo (0.4.1) unstable; urgency=low

  [ Ulrich Dangel ]
  * [1de5818] Change WORKING_DIR via external variable.

  [ Michael Prokop ]
  * [6046cf4] Bump Standards-Version to 3.9.1.

 -- Michael Prokop <mika@grml.org>  Fri, 17 Sep 2010 00:23:53 +0200

grml-hwinfo (0.4.0) unstable; urgency=low

  * Collect hardware information in a temporary directory.
  * Support -h/--help option.
  * Bump Standards-Version to 3.8.4 (no further changes).
  * Update Homepage/VCS-* headers.
  * Bump to compat version 5.

 -- Michael Prokop <mika@grml.org>  Fri, 19 Feb 2010 21:29:27 +0100

grml-hwinfo (0.3.6) unstable; urgency=low

  * Support dconf.

 -- Michael Prokop <mika@grml.org>  Mon, 27 Aug 2007 18:32:32 +0200

grml-hwinfo (0.3.5) unstable; urgency=low

  * Support /usr/share/doc/lm-sensors/examples/eeprom/decode-dimms.pl

 -- Michael Prokop <mika@grml.org>  Mon, 20 Aug 2007 11:23:40 +0200

grml-hwinfo (0.3.4) unstable; urgency=low

  * Support x86info.
  * Change version schema from x.y-z to x.y.z.
  * Change section from 'grml' to 'admin'.

 -- Michael Prokop <mika@grml.org>  Tue, 12 Jun 2007 18:44:07 +0200

grml-hwinfo (0.3-3) unstable; urgency=low

  [Michael Prokop]
  * Improve code layout (like checks for binaries, portability for
    non-grml system).
  * Do not overwrite existing info.tar.bz2 files but use timestamp
    in filename instead.

  [Alexander Wirt]
  * Add procinfo to suggests

 -- Michael Prokop <mika@grml.org>  Mon, 11 Jun 2007 12:06:28 +0200

grml-hwinfo (0.3-2) unstable; urgency=low

  * Use "Architecture: all" in debian/control to support architectures
    not running on x86 as well.
  * Bumb Standard Version to 3.7.2 (no further changes).
  * Update copyright file (adjusted address of fsfs).
  * Added manpage for sysdump.
  * sysdump: do not exit on error opening file(s) but print warning
    instead.

 -- Michael Prokop <mika@grml.org>  Sat, 11 Nov 2006 19:12:39 +0100

grml-hwinfo (0.3-1) unstable; urgency=low

  * Fix: append output of for-loop to files (avoids possible
    overwriting of files).

 -- Michael Prokop <mika@grml.org>  Thu, 10 Aug 2006 00:17:59 +0200

grml-hwinfo (0.2-3) unstable; urgency=low

  * Send errors from sfdisk and fdisk to an error file as
    unpartitioned disks report errors.
  * It's linux-image-... and not kernel-image... anymore.

 -- Michael Prokop <mika@grml.org>  Thu,  6 Apr 2006 16:04:51 +0200

grml-hwinfo (0.2-2) unstable; urgency=low

  * Check for existence of /proc/ide/ide?/hd?/geometry before
    grepping.

 -- Michael Prokop <mika@grml.org>  Tue,  4 Apr 2006 23:41:04 +0200

grml-hwinfo (0.2-1) unstable; urgency=low

  * Fixed the "not running as root" problem.
  * Send error/warning output of sysdump to sysdump.error.
  * Changed pcmcia-cs in Suggested: to pcmcia-utils.

 -- Michael Prokop <mika@grml.org>  Mon,  3 Apr 2006 22:23:31 +0200

grml-hwinfo (0.1-1) unstable; urgency=low

  * Initial release.

 -- Michael Prokop <mika@grml.org>  Thu, 28 Jul 2005 08:50:04 +0200

